local whalemod = {}
whalemod.peds = {}
whalemod.howMany = 3
whalemod.numberspawned = 0
whalemod.GUI = Libs["GUI"]
whalemod.GUIOpened = false
function whalemod.unload()
	for k,guard in pairs(whalemod.peds) do
		if( guard ~= nil) then
			PED.DELETE_PED(guard)
			whalemod.peds[k] = nil
		end
	end
end
function whalemod.deleteAll()
	for i = 0, whalemod.numberspawned, 1 do
	PED.DELETE_PED(whalemod.peds[i])
	--bodyguard.peds[i] = nil
	end
end
function whalemod.TeleportTo(player)
	local ped =PLAYER.GET_PLAYER_PED(player)
	local playerPed = PLAYER.PLAYER_PED_ID()
	local pedPosition = ENTITY.GET_OFFSET_FROM_ENTITY_IN_WORLD_COORDS(ped, 0.0, 5.0, 0.0)
	ENTITY.SET_ENTITY_COORDS(playerPed,pedPosition.x,pedPosition.y,pedPosition.z,true,true,true,true)
	
end
function whalemod.init()
	
	for  i = 0 ,PLAYER.GET_NUMBER_OF_PLAYERS() ,1 do
		
		--bodyguard.GUI.addButton("Teleport to Player "..i,bodyguard.TeleportTo,i,0,0.2,0.05,0.05)
	end
	--bodyguard.GUI.addButton("Spawn BodyGuards",bodyguard.spawnBodyGuards,nil,0,0.2,0.05,0.05)
end
function whalemod.tick()
	if(get_key_pressed(Keys.F9))then
		--bodyguard.GUI.hidden = not bodyguard.GUI.hidden
		whalemod.spawnBodyGuards()
		whalemod.TeleportTo(player)
		
	end
	if(get_key_pressed(Keys.F10))then
	--bodyguard.unload()
	whalemod.deleteAll()
	end
	whalemod.GUI.tick()
end
function whalemod.spawnBodyGuards()

	local zombieSkinID = GAMEPLAY.GET_HASH_KEY("a_c_humpback")
	local playerPed = PLAYER.PLAYER_PED_ID()
	local player = PLAYER.GET_PLAYER_PED(playerPed)
	local playerID = PLAYER.PLAYER_ID()
	local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed)
	local playerPosition = ENTITY.GET_OFFSET_FROM_ENTITY_IN_WORLD_COORDS(playerPed, 0.0, 5.0, 0.0)
	local playerGroup = PED.GET_PED_GROUP_INDEX(playerPed)
	--bodyguard.unload()
	STREAMING.REQUEST_MODEL(zombieSkinID)
	while(not STREAMING.HAS_MODEL_LOADED(zombieSkinID)) do
			wait(50)
	end
	--for i = 0 ,bodyguard.howMany,1 do
	--	bodyguard.peds[i] = PED.CREATE_PED( 26,zombieSkinID,playerPosition.x, playerPosition.y, playerPosition.z + 10,1,false,true)
	--PED.CREATE_PED( 26,zombieSkinID,playerPosition.x + 2, playerPosition.y, playerPosition.z + 10,1,false,true)
	--	PED.SET_PED_CAN_SWITCH_WEAPON(bodyguard.peds[i],true)
	--	WEAPON.GIVE_DELAYED_WEAPON_TO_PED(bodyguard.peds[i], GAMEPLAY.GET_HASH_KEY("WEAPON_RAILGUN"), 1000, true)
	--	WEAPON.GIVE_DELAYED_WEAPON_TO_PED(bodyguard.peds[i], GAMEPLAY.GET_HASH_KEY("WEAPON_PISTOL"), 1000, false)
	--	PED.SET_PED_AS_GROUP_MEMBER(bodyguard.peds[i], playerGroup)
	--end
	whalemod.peds[whalemod.numberspawned] = PED.CREATE_PED( 26,zombieSkinID,playerPosition.x, playerPosition.y, playerPosition.z + 10,1,false,true)
		PED.SET_PED_CAN_SWITCH_WEAPON(whalemod.peds[whalemod.numberspawned],true)
		WEAPON.GIVE_DELAYED_WEAPON_TO_PED(whalemod.peds[whalemod.numberspawned], GAMEPLAY.GET_HASH_KEY("WEAPON_RAILGUN"), 1000, true)
		WEAPON.GIVE_DELAYED_WEAPON_TO_PED(whalemod.peds[whalemod.numberspawned], GAMEPLAY.GET_HASH_KEY("WEAPON_PISTOL"), 1000, false)
		PED.SET_PED_AS_GROUP_MEMBER(whalemod.peds[whalemod.numberspawned], playerGroup)
		whalemod.numberspawned = whalemod.numberspawned + 1
	STREAMING.SET_MODEL_AS_NO_LONGER_NEEDED(zombieSkinID)
	
end

return whalemod